//-----------------------------------------------------------------------
#include "INetworkUser.h"
#include "CException.h"
#include "CNetwork.h"
//-----------------------------------------------------------------------
INetworkUser::INetworkUser()
{
  m_Ntwrk=CNetwork::getUniqueInstance();
  m_Ntwrk->bindTo(this);
}
//-----------------------------------------------------------------------
void INetworkUser::waitForNetworkReady()
{
  int startTime=SDL_GetTicks();

  if (!m_Ntwrk->isEnabled())
    throw CException("INetworkUser::waitForReady - network not available");    
  //m_Ntwrk->print("Waiting for network sync ...\n");
  while (SDL_GetTicks() - startTime < NU_TMOUT)
  {
    m_Ntwrk->processMessages();
    if (m_Ntwrk->isReady())
    {
      onNetworkReady();
      return;
    }
    SDL_Delay(NU_TMOUT/10);
  }
  throw CException("INetworkUser::waitForNetworkReady - no answer from network");
}
//-----------------------------------------------------------------------
// ---------------------------------------------------------- 
// Sylvain Lefebvre - (c) 2002 - Sylvain.Lefebvre@laposte.net
// ----------------------------------------------------------
