//-------------------------------------------------------------------------
// Network message types
//
//
// Author:  Sylvain Lefebvre
// History: Created 03/04/2002
//-------------------------------------------------------------------------
#ifndef __MESSAGE_TYPES__
#define __MESSAGE_TYPES__
//----------------------------------------------------------------------
#include <SDL/SDL.h>
#include <SDL/SDL_net.h>
//----------------------------------------------------------------------
#define  NTWRK_MSG_CONNECTION           0
#define  NTWRK_MSG_DISCONNECTION        1
#define  NTWRK_MSG_CLIENT_DISCONNECTION 2
#define  NTWRK_MSG_ACK                  3
#define  NTWRK_MSG_NACK                 4
#define  NTWRK_MSG_SYS_MESSAGE          5
#define  NTWRK_MSG_WELCOME              6
#define  NTWRK_MSG_UDP_PORT             7
#define  NTWRK_MSG_ADD_CLIENTS          8
#define  NTWRK_MSG_RELAY                9

#define  NTWRK_MSG_USER             255

#define  NTWRK_MSG_SERVER           0xFF000000
//-----------------------------------------------------------------------
typedef struct msg_welcome
{
  Uint8 m_Id;
  Uint8  m_verMaj;
  Uint8  m_verMin;
  Uint8  m_verRev;
}msg_welcome;
//-----------------------------------------------------------------------
typedef struct msg_udp_port
{
  Uint16 m_Port;
  Uint8  m_Id;
  Uint8  m_verMaj;
  Uint8  m_verMin;
  Uint8  m_verRev;
}msg_udp_port;
//-----------------------------------------------------------------------
typedef struct msg_client
{
  IPaddress m_Ip;
  Uint8     m_Id;
}msg_client;
//----------------------------------------------------------------------
#endif
//----------------------------------------------------------------------
// ---------------------------------------------------------- 
// Sylvain Lefebvre - (c) 2002 - Sylvain.Lefebvre@laposte.net
// ----------------------------------------------------------
