// ----------------------------------------------------
#ifndef __CICON_H_
#define __CICON_H_
// ----------------------------------------------------
class CIcon
{
protected:

  double m_dHeight; // Height MUST be greater than Radius.
  double m_dRadius; // otherwise, swap them and
  double m_dAngle0; // set Angle0 = Pi/2
  const char* m_name;

public:
  CIcon(const char* name = 0, double h=1.0, double r=1.0, double a=0.)
    {
      m_dHeight=h;
      m_dRadius=r;
      m_dAngle0=a;
      m_name = name;
    }

  float get_height() { return m_dHeight; }; // dimensions pour collisions
  float get_radius() { return m_dRadius; };
  float get_length() { return 2*(m_dHeight-m_dRadius); }; // longueur capsule
  float get_angle0() { return m_dAngle0; };
  const char* name() { return m_name; };
  virtual void  draw(double sh=1., double sr=1.)=0;
};
// ----------------------------------------------------
#endif
// ----------------------------------------------------

